function sfa_clearall
% SFA_CLEARALL Clear all SFA objects.
%   SFA_CLEARALL clears all SFA objects and performs a PACK
%   operation. All SFA data will be lost.
%
%   See also SFA_CLEAR
  
  clear global SFA_STRUCTS
  v=version;
  if v(1)<='7' && v(3)<='5' % for version 7.6 or higher PACK is no longer 
    pack                    % allowed inside functions (only in scripts)
    %fprintf('packing\n');  
  end

  